/*
 *COPYRIGHT LICENSE: This information contains sample code provided in source code form.
 * You may copy, modify, and distribute these sample programs in any form without payment
 * to IBM for the purposes of developing, using, marketing or distributing application
 * programs conforming to the application programming interface for the operating platform
 * for which the sample code is written.
 *
 * Notwithstanding anything to the contrary, IBM PROVIDES THE SAMPLE SOURCE CODE ON 
 * AN "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING,
 * BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY,
 * SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND ANY WARRANTY OR
 * CONDITION OF NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR OPERATION OF
 * THE SAMPLE SOURCE CODE. IBM HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS OR MODIFICATIONS TO THE SAMPLE SOURCE CODE.
 *
 * (C) Copyright IBM Corp. 2001, 2013.
 * All Rights Reserved. Licensed Materials - Property of IBM.
 */
package com.ibm.ws.samples.jsf.bean;

import java.io.Serializable;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.event.ValueChangeEvent;

import com.ibm.ws.samples.jsf.manager.MockPhoneBookManager;
import com.ibm.ws.samples.jsf.manager.PhoneBookManager;

@ManagedBean(name="phoneBook")
@RequestScoped
public class PhoneBookBean implements Serializable {
	private static final long serialVersionUID = -6659702364500041164L;

	private static final PhoneBookManager phoneBookMgr = MockPhoneBookManager.getInstance();
	
	private String ownerName;
	
	private String phoneBookName;
	
	private List<PhoneBookEntry> phoneBookEntries;
	
	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public String getOwnerName() {
		return ownerName;
	}

	public void ownerNameChanged(ValueChangeEvent e) {
		this.ownerName = e.getNewValue().toString();
	}
	
	public String getPhoneBookName() {
		phoneBookName = ownerName + "\'s phone book";
		return phoneBookName;
	}
	
	public List<PhoneBookEntry> getPhoneBookEntries() {
		phoneBookEntries = phoneBookMgr.query(phoneBookName);
		return phoneBookEntries;
	}
}
